#!/usr/bin/env python


import logging
import sys


VERSION = "0.5"

LOGGER = logging.getLogger("sqlmapLog")
LOGGER_HANDLER = logging.StreamHandler(sys.stdout)
FORMATTER = logging.Formatter("[%(asctime)s] [%(levelname)s] %(message)s", "%H:%M:%S")
LOGGER_HANDLER.setFormatter(FORMATTER)
LOGGER.addHandler(LOGGER_HANDLER)
LOGGER.setLevel(logging.WARN)

FUZZ_VECTORS      = "./txt/fuzz_vectors.txt"

ERRORS_XML        = "./xml/errors.xml"
MSSQL_XML         = "./xml/mssql.xml"
QUERIES_XML       = "./xml/queries.xml"

CSV_DIR           = "./csv"

MSSQL_SYSTEM_DBS  = ( "Northwind", "model", "msdb", "pubs", "tempdb" )
MYSQL_SYSTEM_DBS  = ( "information_schema", "mysql" )
PGSQL_SYSTEM_DBS  = ( "information_schema", "pg_catalog" )
ORACLE_SYSTEM_DBS = ( "SYSTEM", "SYSAUX" )

MSSQL_ALIASES     = [ "microsoft sql server", "mssqlserver", "mssql", "ms" ]
MYSQL_ALIASES     = [ "mysql", "my" ]
PGSQL_ALIASES     = [ "postgresql", "postgres", "pgsql", "psql", "pg" ]
ORACLE_ALIASES    = [ "oracle", "orcl", "ora", "or" ]

SUPPORTED_DBMS    = MSSQL_ALIASES + MYSQL_ALIASES + PGSQL_ALIASES + ORACLE_ALIASES

